Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Gmic Query
#1
I am running GIMP 2.10 and 2.8 very sucessfully after following a Rich2005 video. I am trying to install GMIC into both of them but just going around in circles. I have seen many blogs on the subject, but find it all very hard to digest. 
I have attached a copy of the address's to which I have tried for 2.8 (2.10 is simlar). I am not sure if I am even trying to install the correct version as I am coming up with heaps of .dll issues. I have read some of the help blogs from Rich, but when I try to follow any of the web addresses he suggests, none of them will open to the appropriate web page. 
I have also found that the GIMP version I am using (2.10.28) has some issues with GMIC, but I can't seem to find the solution to install in either version. 
Apologies if I treading over much discussed ground, but it is not through lack of trying and heaps of frustration that I have referred to the forum.
Regards


Attached Files Image(s)
   
Reply
#2
@gazza
From your screenshot with both Gimp 2.10 and Gimp 2.8 installed.   I would clear out anything gmic related first.

For Gimp 2.8  The last Gimp 2.8 version. Download https://gmic.eu/files/windows/gmic_2.9.6..._win64.zip  Unzip and put the contents of the gmic_gimp_qt folder  into C:\Users\user\.gimp-2.8\plug-ins ( 40 files + a platforms folder )
or
Put the gmic_gimp_qt folder itself in plug-ins and add the path to the list shown in your screenshot.

There are .dll incompatibilities with Gimp 2.10.28 Use the gmic_gimp 3.0.0 version
For Gimp 2.10.28 installation much easier. Download the installer: https://gmic.eu/files/prerelease/gmic_gi..._win64.exe
Run it.  Make sure it shows the correct plugins folder C:\Users\"yourname"\AppData\Roaming\GIMP\2.10\plug-ins during installation.

edit: Also some info here: https://www.gimp-forum.net/Thread-Latest-GMIC-filters
Reply
#3
To check that the above is correct Wink

5 minute video on installing both https://youtu.be/VeRf2d_R7z0

There is probably an issue with the Gimp 2.8 gmic updates file, in which case, get it from here
https://u.pcloud.link/publink/show?code=...iXj7peO7Yk
Reply
#4
(10-27-2021, 11:27 AM)rich2005 Wrote: To check that the above is correct Wink

5 minute video on installing both https://youtu.be/VeRf2d_R7z0

There is probably an issue with the Gimp 2.8 gmic updates file, in which case, get it from here
https://u.pcloud.link/publink/show?code=...iXj7peO7Yk

Thanks Rich
You don't know how mamy hours I spent doing this, and I installed 2.8 in approx 60 seconds. 
Regards
GAZZA
Reply
#5
Finally go around to getting my image completed. I wanted to use the GMIC "Cubism" effect. I had used it before some time back and remembered what a good effect it could create. Obviously there is the same tool in the standard GIMP setup, but GMIC seem one step ahead. Thanks for taking the time to do the video as well. Excellent and appreciated.
Cheers.
Reply


Forum Jump: